# $Revision: 1.20 $, $Date: 2006/08/16 14:49:42 $
#
# Conditional build:
%bcond_without gtkspell    # don't build with spell checker
#
Summary:	griffith - film collection manager
Summary(pl):	griffith - program katalogujcy filmy
Name:		griffith
Version:	0.6.2
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://download.berlios.de/griffith/%{name}-%{version}.tar.gz
# Source0-md5:	e1366baf254c587937389f5fef728c96
Source1:	http://download.berlios.de/griffith/%{name}-extra-artwork-0.6.tar.gz
# Source1-md5:	83609337d721f35277c2970866dbfe7e
Source2:	%{name}.desktop
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-env_python.patch
Patch2:		%{name}-plugin.patch
URL:		http://griffith.vasconunes.net/
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-pygtk-devel
BuildRequires:	rpmbuild(macros) >= 1.234
%pyrequires_eq	python-modules
Requires:	gtk+2 >= 2:2.6.0
Requires:	python-Imaging
Requires:	python-ReportLab
%{?with_gtkspell:Requires: python-gnome-extras-gtkspell}
Requires:	python-gnome-gconf
Requires:	python-pygtk-gtk >= 2:2.6.0
Requires:	python-sqlite1 >= 1.1.7
#Suggests:	python-gnome-extras
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Griffith is a movie collection manager application.

%description -l pl
Griffith to program sucy do katalogowania i zarzdzania kolekcj
filmw.

%package extra-artwork
Summary:	Extra graphic files
Summary(pl):	Dodatkowe plik graficzne
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-extra-artwork = %{version}-%{release}

%description extra-artwork
More graphic files.

%description extra-artwork -l pl
Dodatkowe pliki graficzne.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv griffith-extra-artwork-0.6/images/*.png images/

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

ln -fs %{_datadir}/%{name}/lib/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install data/%{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_postclean %{_datadir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lib
%attr(755,root,root) %{_datadir}/%{name}/lib/%{name}
%{_datadir}/%{name}/lib/*.py[co]
%{_datadir}/%{name}/export_templates
%{_datadir}/%{name}/glade
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/00.png
%{_datadir}/%{name}/images/01.png
%{_datadir}/%{name}/images/010.png
%{_datadir}/%{name}/images/02.png
%{_datadir}/%{name}/images/03.png
%{_datadir}/%{name}/images/04.png
%{_datadir}/%{name}/images/05.png
%{_datadir}/%{name}/images/06.png
%{_datadir}/%{name}/images/07.png
%{_datadir}/%{name}/images/08.png
%{_datadir}/%{name}/images/09.png
%{_datadir}/%{name}/images/default.png
%{_datadir}/%{name}/images/default_thumbnail.png
%{_datadir}/%{name}/images/griffith.png
%{_datadir}/%{name}/images/meter00.png
%{_datadir}/%{name}/images/meter01.png
%{_datadir}/%{name}/images/meter010.png
%{_datadir}/%{name}/images/meter02.png
%{_datadir}/%{name}/images/meter03.png
%{_datadir}/%{name}/images/meter04.png
%{_datadir}/%{name}/images/meter05.png
%{_datadir}/%{name}/images/meter06.png
%{_datadir}/%{name}/images/meter07.png
%{_datadir}/%{name}/images/meter08.png
%{_datadir}/%{name}/images/meter09.png
%{_datadir}/%{name}/images/nill.png
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/plugins/movie
%dir %{_datadir}/%{name}/plugins/export
%{_datadir}/%{name}/plugins/movie/*.py[co]
%{_datadir}/%{name}/plugins/export/*.py[co]
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.*
%{_mandir}/*/man?/*
%{_mandir}/man?/*

%files extra-artwork
%defattr(644,root,root,755)
%{_datadir}/%{name}/images/PluginMovie*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: griffith.spec,v $
Revision 1.20  2006/08/16 14:49:42  teodor
- up to 0.6.2

Revision 1.19  2006/05/28 22:34:06  teodor
- added patch wich fixing error with not loading plugins after py_comp

Revision 1.18  2006/05/22 17:40:38  glen
- compile all python files

Revision 1.17  2006/05/22 17:37:49  glen
- also %py_ocomp

Revision 1.16  2006/05/22 17:34:54  glen
- use %py_postclean macro

Revision 1.15  2006/05/21 20:01:27  teodor
- up to 0.6.1
- using py_compile
- patch changes /usr/bin/env -> /usr/bin/python

Revision 1.14  2006/03/12 18:16:32  qboosh
- cosmetics

Revision 1.13  2006/03/11 17:58:44  teodor
- moved extra-artwork to subpackage
- added bcond for gtkspell

Revision 1.12  2006/03/07 16:21:56  wolf
- 0.6
- add extra artwork

Revision 1.11  2006/02/21 15:08:18  glen
- restore suggests tag

Revision 1.10  2006/02/20 15:40:04  teodor
- remove R: python-gstreamer

Revision 1.9  2006/02/19 21:14:59  qboosh
- files fix, cosmetics

Revision 1.8  2006/02/19 20:34:21  glen
- gtkspell support not available - please install python-gnome-extras

Revision 1.7  2006/02/19 20:32:02  glen
- noarch, lib64 safe

Revision 1.6  2006/02/19 20:24:45  glen
- use dropin

Revision 1.5  2006/02/19 20:05:28  qboosh
- wrrr, Source0 is wget-unfriendly

Revision 1.4  2006/02/19 19:59:18  qboosh
- once more, killed files dups (may need fix)

Revision 1.3  2006/02/19 19:33:39  glen
- md5 fix

Revision 1.2  2006/02/19 14:02:04  teodor
- added missing patch
- fixed broken source

Revision 1.1  2006/02/19 13:51:11  teodor
- init version
